%define name    fidelio
%define version 0.9.5
%define release 1mdk

Summary: Gtk+/GNOME client for hotline
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL 
URL: http://fidelio.sourceforge.net/
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: libxml2
Buildrequires: libxml2-devel


%description
Fidelio is a Gtk+/GNOME client for hotline, a network protocol that has features of FTP, IRC and Usenet.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/fidelio"\
title="Fidelio"\
longtitle="Hotline client"\
needs="x11"\
section="Networking/File transfer"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README TODO NEWS ChangeLog COPYING
%{_bindir}/*
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/fidelio.mo
%{_datadir}/fidelio.default
%{_menudir}/*

%changelog
* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- updated to 0.9.5

* Fri Oct 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- new in contribs
- add menu entry
- add requires & buildrequires

